Hi,

On 21/10/16 at 16:23 +0200, Jérémy Lal wrote:
> 2016-10-21 15:52 GMT+02:00 Lucas Nussbaum <lu...@debian.org>:
> 
> > Source: node-tap
> > Version: 0.7.1-1.1
> > Severity: serious
> > Tags: stretch sid
> > User: debian...@lists.debian.org
> > Usertags: qa-ftbfs-20161021 qa-ftbfs
> > Justification: FTBFS on amd64
> >
> > Hi,
> >
> > During a rebuild of all packages in sid, your package failed to build on
> > amd64.
> >
> > Relevant part (hopefully):
> > >  debian/rules build
> > > dh build
> > >    dh_testdir
> > >    dh_update_autotools_config
> > >    dh_auto_configure
> > >    debian/rules override_dh_auto_build
> > > make[1]: Entering directory '/<<PKGBUILDDIR>>'
> > > help2man -N -n "Test-Anything-Protocol module for Node.js" bin/tap.js -o
> > "debian/tap.1"
> > > help2man: can't get `--help' info from bin/tap.js
> >
> 
> This means there was an error invoking bin/tap.js (but i can't tell which
> error).
> 
> Reading
> http://aws-logs.debian.net/2016/10/21/node-tap_0.7.1-1.1_unstable.log
> and comparing to a local (up-to-date) sbuild in sid, this part is somewhat
> missing:
> 
> dpkg-source: info: using source format '3.0 (quilt)'
> dpkg-source: info: applying nodejs_rename.patch
> dpkg-source: info: applying use_available_modules.patch
> dpkg-source: info: applying sbuild_disable_tests.patch
> dpkg-source: info: applying mitigate_test_segv.patch
> dpkg-source: info: building node-tap using existing
> ./node-tap_0.7.1.orig.tar.gz
> dpkg-source: info: building node-tap in node-tap_0.7.1-1.debian.tar.xz
> dpkg-source: info: building node-tap in node-tap_0.7.1-1.dsc
> 
> which would explain the failure.
> I'm worried that this build has somehow not applied the quilt patches ?

No, it's there:

Unpack source
-------------

gpgv: unknown type of key resource 'trustedkeys.kbx'
gpgv: keyblock resource '/sbuild-nonexistent/.gnupg/trustedkeys.kbx': General 
error
gpgv: Signature made Wed Feb 24 10:22:09 2016 UTC
gpgv:                using RSA key F34F09744E9F5DD9
gpgv: Can't check signature: No public key
dpkg-source: warning: failed to verify signature on ./node-tap_0.7.1-1.1.dsc
dpkg-source: info: extracting node-tap in /<<PKGBUILDDIR>>
dpkg-source: info: unpacking node-tap_0.7.1.orig.tar.gz
dpkg-source: info: unpacking node-tap_0.7.1-1.1.debian.tar.xz
dpkg-source: info: applying nodejs_rename.patch
dpkg-source: info: applying use_available_modules.patch
dpkg-source: info: applying sbuild_disable_tests.patch
dpkg-source: info: applying mitigate_test_segv.patch

> Maybe the mistake is mine, because i'm not 100% sure
> `override_dh_auto_build: debian/tap.1`
> guarantees the quilt patch to be applied when debian/tap.1 target is
> invoked.
> It used to work, tough.

(unstable-amd64-sbuild)root@ip-172-31-3-99:~/node-tap-0.7.1# bin/tap.js
module.js:327
    throw err;
    ^

Error: Cannot find module 'wrappy'
    at Function.Module._resolveFilename (module.js:325:15)
    at Function.Module._load (module.js:276:25)
    at Module.require (module.js:353:17)
    at require (internal/module.js:12:17)
    at Object.<anonymous> (/usr/lib/nodejs/once.js:1:76)
    at Module._compile (module.js:409:26)
    at Object.Module._extensions..js (module.js:416:10)
    at Module.load (module.js:343:32)
    at Function.Module._load (module.js:300:12)
    at Module.require (module.js:353:17)


Many node packages are failing currently due to this error (or similar errors).
I didn't file bugs for those since I didnt know what causes this. (but I filed
this bug since I didn't see the real cause).

Feel free to close unless you want to investigate, but it's likely not a bug in
your package.

Lucas

-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to